<?php
date_default_timezone_set('America/Lima');
require_once ("../../config/Cado.php");
require_once ("../ingreso/cIngreso.php");
$oIngreso = new cIngreso();
require_once ("../venta/cVentapago.php");
$oVentapago = new cVentapago();
require_once ("cCuentacobrar.php");
$oCuentacobrar = new cCuentacobrar();
require_once("../formatos/formato.php");
if($_POST['action_ingreso']=="insertar")
{
	if(!empty($_POST['hdd_emp_id']) and !empty($_POST['txt_ing_fec']))
	{
		if($_POST['hdd_venrel']>0){
		
		$dts= $oVentapago->mostrarUno($_POST['hdd_venrel']);
		$dt = mysqli_fetch_array($dts);
		$venpagrel_id =$dt['tb_ventapago_id'];
		mysqli_free_result($dts);
		
		$dts1r = $oVentapago->ver_ventapagoingreso($venpagrel_id);
		$nowrowrel = mysqli_num_rows($dts1r);
		
		}
		
			
			$dts1 = $oVentapago->ver_ventapagoingreso($_POST['hdd_ing_idm']);
			$nowrow = mysqli_num_rows($dts1);
			
			if($nowrow>0){
				$dt = mysqli_fetch_array($dts1);
				$venpagiing_id = $dt['tb_ventapagoingresos_id']; 
			}else{
				
				if($nowrowrel>0){
					$dtr = mysqli_fetch_array($dts1r);
					$venpagiing_id = $dtr['tb_ventapagoingresos_id'];	
				}else{
				
				$rs1=$oVentapago->insertar_ventapago_ingreso(
				fecha_mysql($_POST['txt_ing_fec'])
				);
				
				$dtsvpi=$oVentapago->ultimoInsertVentaPagoIngreso();
				$dtvpi = mysqli_fetch_array($dtsvpi);
				$venpagiing_id=$dtvpi['id'];
				mysqli_free_result($dtsvpi);
				
				$oVentapago->insertar_ventapago_ingreso_detalle($venpagiing_id,$_POST['hdd_ing_idm']);
				
				if($venpagrel_id>0){
				$oVentapago->insertar_ventapago_ingreso_detalle($venpagiing_id,$venpagrel_id);
				}
				
				}
			
			}
		$cuenta_id	= 4;
					
		$doc_id=$_POST['hdd_docid'];
		$numdoc=$_POST['hdd_numdoc'];
		$mon_id=$_POST['hdd_ingr_moneid'];
		$mod_id = 3;
		$modide = $venpagiing_id;
		$ing_det= $_POST['txt_ing_det'];
		$est=1;
		
		$oIngreso->insertar(
			$_POST['hdd_ing_usureg'],
			$_POST['hdd_ing_usumod'],
			fecha_mysql($_POST['txt_ing_fec']),
			fecha_mysql($_POST['txt_ing_fecemi']),
			$doc_id,
			$numdoc,
			$_POST['txt_ing_det'],
			moneda_mysql($_POST['txt_ing_imp']),
			$est,
			$cuenta_id,
			moneda_mysql($subcue_id),
			$_POST['hdd_cli_id'],
			$_POST['cmb_caj_id'],
			$mod_id,
			$modide,
			'2',
			$_POST['cmb_ing_modo'],
			$_POST['cmb_ban_id_ori'],
			$_POST['txt_ing_cuenori'],
			$_POST['txt_nrocuent_cli'],
			$_POST['txt_ing_cob'],
			$_POST['txt_ing_nroopecom']
		);
		
		/*$dts=$oEgreso->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
		$egr_id=$dt['id'];
		mysqli_free_result($dts);	
		if($_POST['chk_imprimir']==1)$data['egr_act']='imprimir';
		$data['egr_id']=$egr_id;*/
		$dts= $oVentapago->mostrarUno($_POST['hdd_ing_idm']);
		$dt = mysqli_fetch_array($dts);
			$venpag_mon =$dt['tb_ventapago_mon'];
			$cli_id		=$dt['tb_cliente_id'];
		mysqli_free_result($dts);
		$mod_id=3;
		$est1=1;
		$est2=2;
		$dts3 = $oIngreso->mostrar_por_modulo($mod_id,$modide,$est1,$est2);
		$num_rows3= mysqli_num_rows($dts3);
		while($dt3 = mysqli_fetch_array($dts3))
		{
			$abonos+= $dt3['tb_ingreso_imp'];
		} 
		mysqli_free_result($dts3);
		$saldo=$venpag_mon-$abonos;
		if($saldo==0)
		{
			$oCuentacobrar->editar_campo('est','1',$venpagrel_id);	
			$oCuentacobrar->editar_campo('est','1',$_POST['hdd_ing_idm']);	
			$msjadd = " .:. Deuda Cancelada .:.";		
		}
		$data['ing_msj']='Pago registrado correctamente.'.$msjadd;
	}
	else
	{
		$data['ing_msj']='Intentelo nuevamente.';
	}
	echo json_encode($data);
}
?>